### Method

# Ide BuildManager get_pipeline

#### Declaration

    IdePipeline*
    ide_build_manager_get_pipeline (
      IdeBuildManager* self
    )

#### Description

This function gets the current build pipeline. The pipeline will be reloaded as build configurations change.

Available since: | 3.32

Gets property | `Ide.BuildManager:pipeline`

#### Return value

Returns: | `IdePipeline`
| An `IdePipeline`.
| The data is owned by the instance.
| The return value can be `NULL`.